var
  input : longint;
  n2,n3 : byte;

begin
  Write('Введите число: ');
  read(input);
  n2 := 0;
  n3 := 0;
  while (input <> 4) and (input <> 2) and (input<>0) do
  begin
    input := input - 3;
    inc(n3);
  end;

  while (input<>0) do
  begin
    input := input - 2;
    inc(n2);
  end;
  WriteLn('Разложение, при котором произведение максимально - ');
  WriteLn(n2,' - двойки, ',n3,' - тройки');
  Readln;
end.
